### Method

# WebKit WebView get_favicon

#### Declaration [src]

    cairo_surface_t*
    webkit_web_view_get_favicon (
      WebKitWebView* web_view
    )

#### Description [src]

Returns favicon currently associated to `web_view`.

Returns favicon currently associated to `web_view`, if any. You can connect to notify::favicon signal of `web_view` to be notified when the favicon is available.

Gets property | `WebKit.WebView:favicon`

#### Return value

Type: `cairo_surface_t`

A pointer to a #cairo_surface_t with the favicon or `NULL` if there’s no icon associated with `web_view`.

The data is owned by the instance.